# class Security

#### package openfl.system

Available on all platforms

### Static variables

###

`staticinline read onlyLOCAL_TRUSTED:String = "localTrusted"`

###

`staticinline read onlyLOCAL_WITH_FILE:String = "localWithFile"`

###

`staticinline read onlyLOCAL_WITH_NETWORK:String = "localWithNetwork"`

###

`staticinline read onlyREMOTE:String = "remote"`

###

`staticdisableAVM1Loading:Bool`

###

`staticexactSettings:Bool`

###

`staticread onlysandboxType:String`

### Static methods

###

`staticallowDomain (?p1:Dynamic, ?p2:Dynamic, ?p3:Dynamic, ?p4:Dynamic, ?p5:Dynamic):Void`

###

`staticallowInsecureDomain (?p1:Dynamic, ?p2:Dynamic, ?p3:Dynamic, ?p4:Dynamic, ?p5:Dynamic):Void`

###

`staticloadPolicyFile (url:String):Void`